// Even though there are multiple objects, we still only need one class. No matter how many cars we make.
class Car 
{ 
  int hue;
  float xpos;
  float ypos;
  float xspeed;

  // The Constructor is defined with arguments.
  Car(color tempHue, float tempYpos, float tempXspeed) 
  { 
    hue = tempHue;
    xpos = 0;
    ypos = tempYpos;
    xspeed = tempXspeed;
  }

  void update() //can be named anything (update(), move(), drive(), etc.)
  {
    xpos = xpos + xspeed;
    if (xpos > width) 
    {
      xpos = 0;
    }
  }

  void display() //can be named anything except "draw()"
  {
    stroke(0);
    fill(hue, 100, 100);
    rect(xpos, ypos, 20, 10);
  }
}